import { FetchRequest, DescribeRequest, ReportRequest, DescribeReportsRequest } from "./requests";
import { DescribeReportsResponse, DescribeResponse, FetchResponse, ReportResponse } from "./responses";
export interface ImageProxyServer {
    url: string;
    apikey: string;
    version: string;
}
export declare enum ModerationLabel {
    ExplicitNudity = "ExplicitNucity",
    Suggestive = "Suggestive",
    Violence = "Violence",
    VisuallyDisturbing = "VisuallyDisturbing",
    Rude = "Rude",
    Drugs = "Drugs",
    Tobacco = "Tobacco",
    Alcohol = "Alcohol",
    Gambling = "Gambling",
    Hate = "Hate",
    Unknown = "Unknown"
}
export declare enum ModerationStatus {
    Allowed = 0,
    Blocked = 1
}
export declare enum DocumentStatus {
    NeverSeen = 0,
    Allowed = 1,
    Blocked = 2
}
export declare type ImageProxyRequest = FetchRequest | DescribeRequest | ReportRequest | DescribeReportsRequest;
export declare type ImageProxyResponse = FetchResponse | DescribeResponse | ReportResponse | DescribeReportsResponse;
