import { ModerationLabel } from "./common";
export declare enum ImageProxyMethod {
    Fetch = "img_proxy_fetch",
    Describe = "img_proxy_describe",
    Report = "img_proxy_report",
    DescribeReports = "img_proxy_describe_report"
}
export declare enum ImageProxyDataType {
    Raw = "Raw",
    Json = "Json"
}
interface RequestHeader {
    jsonrpc: string;
    method: ImageProxyMethod;
}
interface FetchParams {
    params: {
        response_type: ImageProxyDataType;
        url: string;
        force: boolean;
    };
}
interface DescribeParams {
    params: {
        urls: string[];
    };
}
interface ReportParams {
    params: {
        url: string;
        categories: ModerationLabel[];
    };
}
export declare type FetchRequest = RequestHeader & FetchParams;
export declare type DescribeRequest = RequestHeader & DescribeParams;
export declare type ReportRequest = RequestHeader & ReportParams;
export declare type DescribeReportsRequest = RequestHeader;
export {};
