import { ModerationLabel, ModerationStatus, DocumentStatus } from "./common";
export declare enum RpcStatus {
    Ok = 0,
    Err = 1
}
interface ResponseHeader {
    jsonrpc: string;
    rpc_status: RpcStatus;
}
interface FetchBody {
    result: {
        moderation_status: ModerationStatus;
        categories: ModerationLabel[];
        data: string;
    };
}
interface DescribeBody {
    result: {
        url: string;
        status: DocumentStatus;
        categories: ModerationLabel[];
        provider: String;
    }[];
}
interface ReportBody {
    result: {
        url: string;
        id: string;
    };
}
interface DescribeReportsBody {
    result: {
        url: string;
        categories: ModerationLabel[];
        id: string;
        updated_at: string;
    }[];
}
interface ErrorBody {
    error: {
        code: number;
        reason: string;
        request_id: string;
    };
}
export declare type FetchResponse = (ResponseHeader & FetchBody) | string;
export declare type DescribeResponse = ResponseHeader & DescribeBody;
export declare type ReportResponse = ResponseHeader & ReportBody;
export declare type DescribeReportsResponse = ResponseHeader & DescribeReportsBody;
export declare type ImageProxyError = ResponseHeader & ErrorBody;
export {};
